<!DOCTYPE html>
<html lang="en">
  <head>
    <title>ExchangeModelManager Class Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Class/ExchangeModelManager" class="dashAnchor"></a>
    <a title="ExchangeModelManager Class Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html"> Docs</a> (90% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html"> Reference</a>
        <img id="carat" src="../img/carat.png" />
        ExchangeModelManager Class Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/AppDelegate.html">AppDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/BackgroundController.html">BackgroundController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CoreDataManager.html">CoreDataManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyController.html">CurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRate.html">CurrencyRate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRateManager.html">CurrencyRateManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRatePack.html">CurrencyRatePack</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRatePackParser.html">CurrencyRatePackParser</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ExchangeController.html">ExchangeController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ExchangeModelManager.html">ExchangeModelManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/FromCurrencyController.html">FromCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/FromCurrencyPageController.html">FromCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetworkManager.html">NetworkManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetworkManager/NetworkManagerError.html">– NetworkManagerError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ToCurrencyController.html">ToCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ToCurrencyPageController.html">ToCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/UserData.html">UserData</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enums</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/CurrencyType.html">CurrencyType</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/RequestResult.html">RequestResult</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions/NSManagedObject.html">NSManagedObject</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Functions.html#/s:F15testApplication8debugLogFTSS4fileVs12StaticString8functionS0_4lineSi_T_">debugLog(_:file:function:line:)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/CurrencyControllerDelegate.html">CurrencyControllerDelegate</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>ExchangeModelManager</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight"><code><span class="kd">class</span> <span class="kt">ExchangeModelManager</span><span class="p">:</span> <span class="kt">NSObject</span></code></pre>

                </div>
              </div>
            <p>ExchangeModelManager** is a passive <strong>Model</strong> class. It doesn&rsquo;t control <strong>View</strong>. It&rsquo;s only a DataSource for <strong>View</strong> &amp; <strong>Controler</strong> functions.
UIPageViewControllers** uses this class as DataSource.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication20ExchangeModelManager14roundUpHandlerCSo22NSDecimalNumberHandler"></a>
                    <a name="//apple_ref/swift/Property/roundUpHandler" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication20ExchangeModelManager14roundUpHandlerCSo22NSDecimalNumberHandler">roundUpHandler</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This handler is used for all currency operations which result should be rounded up.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">let</span> <span class="nv">roundUpHandler</span> <span class="o">=</span> <span class="kt">NSDecimalNumberHandler</span><span class="p">(</span><span class="nv">roundingMode</span><span class="p">:</span> <span class="o">.</span><span class="n">up</span><span class="p">,</span> <span class="nv">scale</span><span class="p">:</span> <span class="mi">0</span><span class="p">,</span> <span class="nv">raiseOnExactness</span><span class="p">:</span> <span class="kc">true</span><span class="p">,</span> <span class="nv">raiseOnOverflow</span><span class="p">:</span> <span class="kc">true</span><span class="p">,</span> <span class="nv">raiseOnUnderflow</span><span class="p">:</span> <span class="kc">true</span><span class="p">,</span> <span class="nv">raiseOnDivideByZero</span><span class="p">:</span> <span class="kc">true</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication20ExchangeModelManager16roundDownHandlerCSo22NSDecimalNumberHandler"></a>
                    <a name="//apple_ref/swift/Property/roundDownHandler" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication20ExchangeModelManager16roundDownHandlerCSo22NSDecimalNumberHandler">roundDownHandler</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>This handler is used for all currency operations which result should be rounded down.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">let</span> <span class="nv">roundDownHandler</span> <span class="o">=</span> <span class="kt">NSDecimalNumberHandler</span><span class="p">(</span><span class="nv">roundingMode</span><span class="p">:</span> <span class="o">.</span><span class="n">down</span><span class="p">,</span> <span class="nv">scale</span><span class="p">:</span> <span class="mi">0</span><span class="p">,</span> <span class="nv">raiseOnExactness</span><span class="p">:</span> <span class="kc">true</span><span class="p">,</span> <span class="nv">raiseOnOverflow</span><span class="p">:</span> <span class="kc">true</span><span class="p">,</span> <span class="nv">raiseOnUnderflow</span><span class="p">:</span> <span class="kc">true</span><span class="p">,</span> <span class="nv">raiseOnDivideByZero</span><span class="p">:</span> <span class="kc">true</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication20ExchangeModelManager16currentFromValueGSqCSo15NSDecimalNumber_"></a>
                    <a name="//apple_ref/swift/Property/currentFromValue" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication20ExchangeModelManager16currentFromValueGSqCSo15NSDecimalNumber_">currentFromValue</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Current amount of source currency.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">var</span> <span class="nv">currentFromValue</span><span class="p">:</span> <span class="kt">NSDecimalNumber</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication20ExchangeModelManager14currentToValueGSqCSo15NSDecimalNumber_"></a>
                    <a name="//apple_ref/swift/Property/currentToValue" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication20ExchangeModelManager14currentToValueGSqCSo15NSDecimalNumber_">currentToValue</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">ExchangeModelManager</span><span class="p">:</span> <span class="kt">NSObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication20ExchangeModelManager19currentFromCurrencyOS_12CurrencyType"></a>
                    <a name="//apple_ref/swift/Property/currentFromCurrency" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication20ExchangeModelManager19currentFromCurrencyOS_12CurrencyType">currentFromCurrency</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Current source currency type(USD,EUR,GBP&hellip;)</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">var</span> <span class="nv">currentFromCurrency</span><span class="p">:</span> <span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span> <span class="o">=</span> <span class="o">.</span><span class="kt">USD</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication20ExchangeModelManager17currentToCurrencyOS_12CurrencyType"></a>
                    <a name="//apple_ref/swift/Property/currentToCurrency" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication20ExchangeModelManager17currentToCurrencyOS_12CurrencyType">currentToCurrency</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Current destination currency type(USD,EUR,GBP&hellip;)</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">var</span> <span class="nv">currentToCurrency</span><span class="p">:</span> <span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span> <span class="o">=</span> <span class="o">.</span><span class="kt">EUR</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication20ExchangeModelManager15currentRatePackGSqCS_16CurrencyRatePack_"></a>
                    <a name="//apple_ref/swift/Property/currentRatePack" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication20ExchangeModelManager15currentRatePackGSqCS_16CurrencyRatePack_">currentRatePack</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Current packet of currency rates which is used for exchange operations.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">var</span> <span class="nv">currentRatePack</span><span class="p">:</span> <span class="kt"><a href="../Classes/CurrencyRatePack.html">CurrencyRatePack</a></span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication20ExchangeModelManager15currentRateFromFTOS_12CurrencyType2toS1__GSqCSo15NSDecimalNumber_"></a>
                    <a name="//apple_ref/swift/Method/currentRateFrom(_:to:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication20ExchangeModelManager15currentRateFromFTOS_12CurrencyType2toS1__GSqCSo15NSDecimalNumber_">currentRateFrom(_:to:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Returns current rate between two currencies.(<strong>X</strong> = (rate)x*<em>Y</em><em>).
- parameter fromCurrency: source currency type.
- parameter toCurrency: destination currency type.
- returns: rate&rsquo;s value or **nil</em>* if it wasn&rsquo;t found.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">currentRateFrom</span><span class="p">(</span><span class="n">_</span> <span class="nv">fromCurrency</span><span class="p">:</span> <span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span><span class="p">,</span> <span class="n">to</span> <span class="nv">toCurrency</span><span class="p">:</span> <span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">NSDecimalNumber</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>fromCurrency</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>source currency type.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>toCurrency</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>destination currency type.</p>

                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div>
                        <h4>Return Value</h4>
                        <p>rate’s value or  if it wasn’t found.</p>

                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication20ExchangeModelManager20managedObjectContextCSo22NSManagedObjectContext"></a>
                    <a name="//apple_ref/swift/Property/managedObjectContext" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication20ExchangeModelManager20managedObjectContextCSo22NSManagedObjectContext">managedObjectContext</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Observed managed object context.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">let</span> <span class="nv">managedObjectContext</span><span class="p">:</span> <span class="kt">NSManagedObjectContext</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication20ExchangeModelManager17pageCurrencyTypesGSaOS_12CurrencyType_"></a>
                    <a name="//apple_ref/swift/Property/pageCurrencyTypes" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication20ExchangeModelManager17pageCurrencyTypesGSaOS_12CurrencyType_">pageCurrencyTypes</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Array of currency types related in order for UIPageViewControllers.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">let</span> <span class="nv">pageCurrencyTypes</span><span class="p">:</span> <span class="p">[</span><span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span><span class="p">]</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication20ExchangeModelManager30currencyViewControllerDelegateXwGSqPS_26CurrencyControllerDelegate__"></a>
                    <a name="//apple_ref/swift/Property/currencyViewControllerDelegate" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication20ExchangeModelManager30currencyViewControllerDelegateXwGSqPS_26CurrencyControllerDelegate__">currencyViewControllerDelegate</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>delegate for created pages</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">weak</span> <span class="k">var</span> <span class="nv">currencyViewControllerDelegate</span><span class="p">:</span> <span class="kt"><a href="../Protocols/CurrencyControllerDelegate.html">CurrencyControllerDelegate</a></span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication20ExchangeModelManagercFT17pageCurrencyTypesGSaOS_12CurrencyType_7contextCSo22NSManagedObjectContext_S0_"></a>
                    <a name="//apple_ref/swift/Method/init(pageCurrencyTypes:context:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication20ExchangeModelManagercFT17pageCurrencyTypesGSaOS_12CurrencyType_7contextCSo22NSManagedObjectContext_S0_">init(pageCurrencyTypes:context:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="nf">init</span><span class="p">(</span><span class="nv">pageCurrencyTypes</span><span class="p">:</span> <span class="p">[</span><span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span><span class="p">],</span> <span class="nv">context</span><span class="p">:</span> <span class="kt">NSManagedObjectContext</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>pageCurrencyTypes</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>array of currency types related in order for UIPageViewControllers.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>context</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>managed object context to observe.</p>

                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication20ExchangeModelManager21viewControllerAtIndexFTSi10identifierSS10storyboardCSo12UIStoryboard_GSqCS_18CurrencyController_"></a>
                    <a name="//apple_ref/swift/Method/viewControllerAtIndex(_:identifier:storyboard:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication20ExchangeModelManager21viewControllerAtIndexFTSi10identifierSS10storyboardCSo12UIStoryboard_GSqCS_18CurrencyController_">viewControllerAtIndex(_:identifier:storyboard:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Returns an CurrencyController to present in UIPageViewController.
- parameter index: index of CurrencyController in UIPageViewController.
- parameter identifier: storyboard identifier of CurrencyController.
- parameter storyboard: storyboard to search in.
- returns: a new created CurrencyController or <strong>nil</strong> in case of some error.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">viewControllerAtIndex</span><span class="p">(</span><span class="n">_</span> <span class="nv">index</span><span class="p">:</span> <span class="kt">Int</span><span class="p">,</span> <span class="nv">identifier</span><span class="p">:</span> <span class="kt">String</span><span class="p">,</span> <span class="nv">storyboard</span><span class="p">:</span> <span class="kt">UIStoryboard</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt"><a href="../Classes/CurrencyController.html">CurrencyController</a></span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>index</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>index of CurrencyController in UIPageViewController.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>identifier</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>storyboard identifier of CurrencyController.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>storyboard</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>storyboard to search in.</p>

                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div>
                        <h4>Return Value</h4>
                        <p>a new created CurrencyController or  in case of some error.</p>

                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication20ExchangeModelManager21indexOfViewControllerFCS_18CurrencyControllerSi"></a>
                    <a name="//apple_ref/swift/Method/indexOfViewController(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication20ExchangeModelManager21indexOfViewControllerFCS_18CurrencyControllerSi">indexOfViewController(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Returns index of CurrencyController in UIPageViewController.
- parameter currencyViewController: CurrencyController from UIPageViewController.
- returns: index of controller in UIPageViewController.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">indexOfViewController</span><span class="p">(</span><span class="n">_</span> <span class="nv">currencyViewController</span><span class="p">:</span> <span class="kt"><a href="../Classes/CurrencyController.html">CurrencyController</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>currencyViewController</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>CurrencyController from UIPageViewController.</p>

                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div>
                        <h4>Return Value</h4>
                        <p>index of controller in UIPageViewController.</p>

                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication20ExchangeModelManager18pageViewControllerFTCSo20UIPageViewController20viewControllerBeforeCSo16UIViewController_GSqS2__"></a>
                    <a name="//apple_ref/swift/Method/pageViewController(_:viewControllerBefore:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication20ExchangeModelManager18pageViewControllerFTCSo20UIPageViewController20viewControllerBeforeCSo16UIViewController_GSqS2__">pageViewController(_:viewControllerBefore:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>UIPageViewControllerDataSource.viewControllerBeforeViewController handler.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">pageViewController</span><span class="p">(</span><span class="n">_</span> <span class="nv">pageViewController</span><span class="p">:</span> <span class="kt">UIPageViewController</span><span class="p">,</span> <span class="n">viewControllerBefore</span> <span class="nv">viewController</span><span class="p">:</span> <span class="kt">UIViewController</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">UIViewController</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication20ExchangeModelManager18pageViewControllerFTCSo20UIPageViewController19viewControllerAfterCSo16UIViewController_GSqS2__"></a>
                    <a name="//apple_ref/swift/Method/pageViewController(_:viewControllerAfter:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication20ExchangeModelManager18pageViewControllerFTCSo20UIPageViewController19viewControllerAfterCSo16UIViewController_GSqS2__">pageViewController(_:viewControllerAfter:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>UIPageViewControllerDataSource.viewControllerAfterViewController handler</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">pageViewController</span><span class="p">(</span><span class="n">_</span> <span class="nv">pageViewController</span><span class="p">:</span> <span class="kt">UIPageViewController</span><span class="p">,</span> <span class="n">viewControllerAfter</span> <span class="nv">viewController</span><span class="p">:</span> <span class="kt">UIViewController</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">UIViewController</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication20ExchangeModelManager17presentationCountFT3forCSo20UIPageViewController_Si"></a>
                    <a name="//apple_ref/swift/Method/presentationCount(for:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication20ExchangeModelManager17presentationCountFT3forCSo20UIPageViewController_Si">presentationCount(for:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>UIPageViewControllerDataSource.presentationCountForPageViewController handler</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">presentationCount</span><span class="p">(</span><span class="k">for</span> <span class="nv">pageViewController</span><span class="p">:</span> <span class="kt">UIPageViewController</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication20ExchangeModelManager17presentationIndexFT3forCSo20UIPageViewController_Si"></a>
                    <a name="//apple_ref/swift/Method/presentationIndex(for:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication20ExchangeModelManager17presentationIndexFT3forCSo20UIPageViewController_Si">presentationIndex(for:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>UIPageViewControllerDataSource.presentationIndexForPageViewController handler</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">presentationIndex</span><span class="p">(</span><span class="k">for</span> <span class="nv">pageViewController</span><span class="p">:</span> <span class="kt">UIPageViewController</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2017 <a class="link" href="" target="_blank" rel="external"></a>. All rights reserved. (Last updated: 2017-01-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.7.3</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
